com.thinkaurelius.titan.graphdb.database.log

## Class TransactionLogHeader.Entry

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.log.TransactionLogHeader.Entry

- Enclosing class:
    TransactionLogHeader

      public static class TransactionLogHeader.Entry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionLogHeader.Entry(TransactionLogHeader header, StaticBuffer content, LogTxStatus status, EnumMap<LogTxMeta,Object> metadata)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StaticBuffer` | `getContent()`
    `Collection<TransactionLogHeader.Modification>` | `getContentAsModifications(Serializer serializer)`
    `TransactionLogHeader.SecondaryFailures` | `getContentAsSecondaryFailures(Serializer serializer)`
    `TransactionLogHeader` | `getHeader()`
    `EnumMap<LogTxMeta,Object>` | `getMetadata()`
    `LogTxStatus` | `getStatus()`
    `boolean` | `hasContent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionLogHeader.Entry

          public TransactionLogHeader.Entry(TransactionLogHeader header,
                                    StaticBuffer content,
                                    LogTxStatus status,
                                    EnumMap<LogTxMeta,Object> metadata)

  - ### Method Detail

    - #### getHeader

          public TransactionLogHeader getHeader()

    - #### hasContent

          public boolean hasContent()

    - #### getStatus

          public LogTxStatus getStatus()

    - #### getMetadata

          public EnumMap<LogTxMeta,Object> getMetadata()

    - #### getContent

          public StaticBuffer getContent()

    - #### getContentAsSecondaryFailures

          public TransactionLogHeader.SecondaryFailures getContentAsSecondaryFailures(Serializer serializer)

    - #### getContentAsModifications

          public Collection<TransactionLogHeader.Modification> getContentAsModifications(Serializer serializer)

Copyright © 2012–2014. All rights reserved.